summaryrefslogtreecommitdiffstats
path: root/python/python3-setuptools-opt
diff options
context:
space:
mode:
author fourtysixandtwo2023-06-17 02:37:04 +0200
committer Willy Sudiarto Raharjo2023-06-17 02:37:33 +0200
commitc52ac3cba63d7afa82c19f6cf00e31ccd3e73fd4 (patch)
tree8f6714b64d402bfa967b6e205fb243e68da3d194 /python/python3-setuptools-opt
parentab8eafd0e8fdd01b94dbd4b8b32233412fc7c2c4 (diff)
downloadslackbuilds-c52ac3cba63d7afa82c19f6cf00e31ccd3e73fd4.tar.gz
python/python3-setuptools-opt: Added (setuptools from -current).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'python/python3-setuptools-opt')
-rw-r--r--python/python3-setuptools-opt/README11
-rw-r--r--python/python3-setuptools-opt/python3-setuptools-opt.SlackBuild127
-rw-r--r--python/python3-setuptools-opt/python3-setuptools-opt.info10
-rw-r--r--python/python3-setuptools-opt/setuptools.x86_64.diff.gzbin0 -> 543 bytes
-rw-r--r--python/python3-setuptools-opt/slack-desc19
5 files changed, 167 insertions, 0 deletions
diff --git a/python/python3-setuptools-opt/README b/python/python3-setuptools-opt/README
new file mode 100644
index 0000000000..7d957ab7fc
--- /dev/null
+++ b/python/python3-setuptools-opt/README
@@ -0,0 +1,11 @@
+python3-setuptools-opt (Install newer setuptools in /opt)
+
+Setuptools is a fully-featured, actively-maintained, and stable
+library designed to facilitate packaging Python projects.
+
+Installs to /opt/python3.9/site-packages.
+
+Add the following before the python3 build commands in your
+Slackbuild to use this version over the stock one in 15.0:
+
+export PYTHONPATH=/opt/python3.9/site-packages/
diff --git a/python/python3-setuptools-opt/python3-setuptools-opt.SlackBuild b/python/python3-setuptools-opt/python3-setuptools-opt.SlackBuild
new file mode 100644
index 0000000000..9291086671
--- /dev/null
+++ b/python/python3-setuptools-opt/python3-setuptools-opt.SlackBuild
@@ -0,0 +1,127 @@
+#!/bin/bash
+
+# Slackware build script for python3-setuptools-opt
+
+# Copyright 2023 fourtysixandtwo <fourtysixandtwo@sliderr.net>
+# Copyright 2013-2014 Audrius Kažukauskas <audrius@neutrino.lt>
+# Copyright 2014, 2017, 2018, 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=python3-setuptools-opt
+SRCNAM=setuptools
+VERSION=${VERSION:-65.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+rm -f setuptools/*.exe
+
+# Recent Python versions support both a libdir (for pure Python modules) and a
+# platlib (for $ARCH specific modules). We've always patched Python to use
+# the platform directory (such as /usr/lib64/python3.9/site-packages on x86_64)
+# for all modules. Perhaps we will rethink this, but since an installed
+# setuptools now takes priority for reporting the libdir (and this no longer
+# matches the platlib on architectures such as x86_64), let's patch setuptools
+# to agree with Python:
+if [ "$LIBDIRSUFFIX" = "64" ]; then
+ zcat $CWD/setuptools.x86_64.diff.gz | patch -p1 --verbose || exit 1
+fi
+
+python3 -m build --no-isolation
+python3 -m installer -d "$PKG" dist/*.whl
+
+if [ "$PKG/usr/" != "/usr/" ]; then
+ mkdir -p $PKG/opt
+ mv $PKG/usr/lib*/python3.9 $PKG/opt/
+ rmdir $PKG/usr/lib*
+else
+ echo "ERROR: \$PKG is not set! We don't want to move the real /usr/lib*/python3.9"
+ exit 1
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES.rst LICENSE PKG-INFO README.rst \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# If there's a CHANGES.rst, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r CHANGES.rst ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PRGNAM}-$VERSION)
+ cat CHANGES.rst | head -n 1000 > $DOCSDIR/CHANGES.rst
+ touch -r CHANGES.rst $DOCSDIR/CHANGES.rst
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/python/python3-setuptools-opt/python3-setuptools-opt.info b/python/python3-setuptools-opt/python3-setuptools-opt.info
new file mode 100644
index 0000000000..3b52b70345
--- /dev/null
+++ b/python/python3-setuptools-opt/python3-setuptools-opt.info
@@ -0,0 +1,10 @@
+PRGNAM="python3-setuptools-opt"
+VERSION="65.1.1"
+HOMEPAGE="https://pypi.org/project/setuptools/"
+DOWNLOAD="https://files.pythonhosted.org/packages/source/s/setuptools/setuptools-65.1.1.tar.gz"
+MD5SUM="5b164fbb171cfcc20a9db3c9a6baa66e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3-build python3-wheel"
+MAINTAINER="fourtysixandtwo"
+EMAIL="fourtysixandtwo@sliderr.net"
diff --git a/python/python3-setuptools-opt/setuptools.x86_64.diff.gz b/python/python3-setuptools-opt/setuptools.x86_64.diff.gz
new file mode 100644
index 0000000000..a04992ad75
--- /dev/null
+++ b/python/python3-setuptools-opt/setuptools.x86_64.diff.gz
Binary files differ
diff --git a/python/python3-setuptools-opt/slack-desc b/python/python3-setuptools-opt/slack-desc
new file mode 100644
index 0000000000..ac915cce08
--- /dev/null
+++ b/python/python3-setuptools-opt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python3-setuptools-opt: python3-setuptools-opt (Install setuptools from -current in /opt)
+python3-setuptools-opt:
+python3-setuptools-opt: Setuptools is a fully-featured, actively-maintained, and stable
+python3-setuptools-opt: library designed to facilitate packaging Python projects.
+python3-setuptools-opt:
+python3-setuptools-opt: Installs to /opt/python3.9/site-packages
+python3-setuptools-opt:
+python3-setuptools-opt:
+python3-setuptools-opt: Project URL: https://pypi.org/project/setuptools/
+python3-setuptools-opt:
+python3-setuptools-opt: